Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016774
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 03. Procurement managementminoralways2011-03-02 10:482011-05-02 12:01
ReporterxabiermerinoView Statuspublic 
Assigned ToAinhoaPagola 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branch2.50Fixed in SCM revision0148e17e8647
ProjectionnoneETAnoneTarget Version2.50MP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP26SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016774: 'Vendor Invoice Report' and 'Invoice Detail' don't show financial invoice

Description'Vendor Invoice Report' and 'Invoice Detail' don't show financial invoices.

The problem is that the query makes an union with m_product by 'm_product_id' and Financial invoices have no m_product_id
Steps To Reproduce- As openbravo Admin create a new invoice with hammer as product (date: 03-03-2011)
- Complete it
- Go to 'Vendor Invoice Report' and 'Invoice Detail' and realize that the invoice appears.
- Go back to the invoice.
- Reactivate it
- Go to lines
- Delete the product
- Check 'Financial Invoice Line'
- Select a G/L item
- save, complete
- Go to 'Vendor Invoice Report' and 'Invoice Detail' and realize that the invoice does not appear.
TagsNo tags attached.
Attached Filesdiff file icon repFinancial.diff [^] (10,897 bytes) 2011-04-28 10:32 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0016823 scheduleddmiguelez Reports don't show financial invoices 
blocks defect 00161002.50MP29 closedAinhoaPagola 'Vendor Invoice Report' and 'Invoice Detail' don't show financial invoice 

-  Notes
(0036145)
AinhoaPagola (reporter)
2011-04-28 10:34

Patch attached as the repository is frozen.
(0036215)
hgbot (developer)
2011-04-29 13:33

Repository: erp/stable/2.50
Changeset: 0148e17e8647f7062345d3953a8e6553e4f37fe5
Author: Ainhoa Pagola <ainhoa.pagola <at> openbravo.com>
Date: Wed Apr 27 13:11:06 2011 +0200
URL: http://code.openbravo.com/erp/stable/2.50/rev/0148e17e8647f7062345d3953a8e6553e4f37fe5 [^]

Fixes issue 16774. Financial Invoices in Reports

---
M src-db/database/model/views/C_INVOICELINE_V2.xml
M src/org/openbravo/erpCommon/ad_reports/InvoiceEdition_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportInvoices_data.xsql
---
(0036216)
hgbot (developer)
2011-04-29 13:33

Repository: erp/stable/2.50
Changeset: c4fa210d0728795a9a142f821828260021a14705
Author: Ainhoa Pagola <ainhoa.pagola <at> openbravo.com>
Date: Wed Apr 27 13:11:46 2011 +0200
URL: http://code.openbravo.com/erp/stable/2.50/rev/c4fa210d0728795a9a142f821828260021a14705 [^]

Issue 16774. Label changed to include financial invoices

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoicesEditJR.jrxml
---
(0036249)
xabiermerino (developer)
2011-05-02 12:01

verified

- Issue History
Date Modified Username Field Change
2011-04-12 16:50 AinhoaPagola Type defect => backport
2011-04-12 16:50 AinhoaPagola fix_in_branch => 2.50
2011-04-15 12:17 AinhoaPagola Relationship added related to 0016823
2011-04-26 16:18 dalsasua Issue Monitored: networkb
2011-04-28 10:32 AinhoaPagola File Added: repFinancial.diff
2011-04-28 10:34 AinhoaPagola Note Added: 0036145
2011-04-28 10:34 AinhoaPagola Status scheduled => resolved
2011-04-28 10:34 AinhoaPagola Fixed in SCM revision => attached diff
2011-04-28 10:34 AinhoaPagola Resolution open => fixed
2011-04-29 13:33 hgbot Checkin
2011-04-29 13:33 hgbot Note Added: 0036215
2011-04-29 13:33 hgbot Fixed in SCM revision attached diff => http://code.openbravo.com/erp/stable/2.50/rev/0148e17e8647f7062345d3953a8e6553e4f37fe5 [^]
2011-04-29 13:33 hgbot Checkin
2011-04-29 13:33 hgbot Note Added: 0036216
2011-05-02 12:01 xabiermerino Note Added: 0036249
2011-05-02 12:01 xabiermerino Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker